Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1480959 (golang-github-BurntSushi-graphics-go) - Review Request: golang-github-BurntSushi-graphics-go - Graphics library for the Go programming language
Summary: Review Request: golang-github-BurntSushi-graphics-go - Graphics library for t...
Keywords:
Status: CLOSED RAWHIDE
Alias: golang-github-BurntSushi-graphics-go
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: DeepinDEPackageReview
TreeView+ depends on / blocked
 
Reported: 2017-08-13 08:17 UTC by sensor.wen
Modified: 2018-07-22 13:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-22 13:29:36 UTC
Type: Bug
zbyszek: fedora-review+


Attachments (Terms of Use)

Comment 1 Zbigniew Jędrzejewski-Szmek 2017-08-13 22:55:45 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

Issues:
=======
- Package does not contain duplicates in %files.
  Note: warning: File listed twice:
  /usr/share/gocode/src/github.com/BurntSushi/graphics-go
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DuplicateFiles

It doesn't matter much, but would be nice to fix.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
BSD.

[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. Licenses found: "BSD (3 clause)", "Unknown or
     generated". 46 files have unknown license. Detailed output of
     licensecheck in /var/tmp/1480959-golang-github-BurntSushi-graphics-
     go/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[ ]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/gocode/src/github.com/BurntSushi, /usr/share/gocode/src,
     /usr/share/gocode, /usr/share/gocode/src/github.com
Please fix.

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[-]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in golang-
     github-BurntSushi-graphics-go-devel , golang-github-BurntSushi-
     graphics-go-unit-test-devel
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 1925120 bytes in /usr/share
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: golang-github-BurntSushi-graphics-go-devel-0-0.1.fc27.noarch.rpm
          golang-github-BurntSushi-graphics-go-unit-test-devel-0-0.1.fc27.x86_64.rpm
          golang-github-BurntSushi-graphics-go-0-0.1.fc27.src.rpm
golang-github-BurntSushi-graphics-go-unit-test-devel.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 1 warnings.


Requires
--------
golang-github-BurntSushi-graphics-go-devel (rpmlib, GLIBC filtered):

golang-github-BurntSushi-graphics-go-unit-test-devel (rpmlib, GLIBC filtered):
    golang-github-BurntSushi-graphics-go-devel

Provides
--------
golang-github-BurntSushi-graphics-go-devel:
    golang(github.com/BurntSushi/graphics-go/graphics)
    golang(github.com/BurntSushi/graphics-go/graphics/convolve)
    golang(github.com/BurntSushi/graphics-go/graphics/detect)
    golang(github.com/BurntSushi/graphics-go/graphics/graphicstest)
    golang(github.com/BurntSushi/graphics-go/graphics/interp)
    golang-github-BurntSushi-graphics-go-devel

golang-github-BurntSushi-graphics-go-unit-test-devel:
    golang-github-BurntSushi-graphics-go-unit-test-devel
    golang-github-BurntSushi-graphics-go-unit-test-devel(x86-64)



Source checksums
----------------
https://github.com/BurntSushi/graphics-go/archive/b43f31a4a96688fba0b612e25e22648b9267e498/graphics-go-b43f31a.tar.gz :
  CHECKSUM(SHA256) this package     : 3fdfc29f236052b324cf1fb3ef42481cbac9205b5049a6e4ada26dfd84a2bd64
  CHECKSUM(SHA256) upstream package : 3fdfc29f236052b324cf1fb3ef42481cbac9205b5049a6e4ada26dfd84a2bd64


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1480959
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Some minor issues, package is APPROVED.

Comment 2 Gwyn Ciesla 2017-08-14 19:50:52 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-BurntSushi-graphics-go

Comment 3 Gwyn Ciesla 2017-08-14 19:51:05 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-BurntSushi-graphics-go

Comment 4 Fedora Update System 2017-10-09 14:56:03 UTC
golang-github-BurntSushi-graphics-go-0-0.2.gitb43f31a.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e4b695f793

Comment 5 Fedora Update System 2017-10-11 06:26:45 UTC
golang-github-BurntSushi-graphics-go-0-0.2.gitb43f31a.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e4b695f793

Comment 6 Zamir SUN 2018-07-22 13:29:36 UTC
This is already in Rawhide. Closing on behalf of the Deepin Desktop packaging effort.


Note You need to log in before you can comment on or make changes to this bug.